ResourceTypeDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.ResourceTypeDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class ResourceTypeDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.authz.server.session.ResourceTypeDAO

    public class ResourceTypeDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ResourceTypeDAO(DAOFactory f)`

Method Summary
`protected boolean` | `cacheFindAll()` This method is intended for sub-classes to specify whether or not their 'find-all' finder should be automatically added to the query-cache.
`ResourceType` | `findById(java.lang.Integer id)`
`ResourceType` | `findByName(java.lang.String name)`
`void` | `remove(AuthzSubject whoami, ResourceType entity)`
`void` | `save(ResourceType entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceTypeDAO

    public ResourceTypeDAO(DAOFactory f)

Method Detail

### findById

    public ResourceType findById(java.lang.Integer id)

### save

    public void save(ResourceType entity)

### remove

    public void remove(AuthzSubject whoami,
                       ResourceType entity)

### cacheFindAll

    protected boolean cacheFindAll()

  Description copied from class: `HibernateDAO`
  This method is intended for sub-classes to specify whether or not their 'find-all' finder should be automatically added to the query-cache. The findAll query will use the persistent class specified in the constructor, and use the following cache region: com.my.Persistent.findAll

  Overrides:
    `cacheFindAll` in class `HibernateDAO`
  Returns:
    true to indicate that the finder should be cached

### findByName

    public ResourceType findByName(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.